# std::_RefFunClos< _ValArray, _Tp > Struct Template Reference

Inheritance diagram for std::_RefFunClos< _ValArray, _Tp >:

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::_RefFunClos< _ValArray, _Tp >

Definition at line 457 of file valarray_before.h.

## Public Types

- typedef _FunBase< valarray<
  _Tp >, const _Tp & > _Base
- typedef _Tp value_type

## Public Member Functions

- _RefFunClos (const valarray< _Tp > &__v, _Tp __f(const _Tp &))
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this struct was generated from the following file:

- valarray_before.h